HELP2MAN(1)

NUME
help2man - generează o pagină de manual simplă

REZUMAT
help2man [OPȚIUNE]... EXECUTABIL

DESCRIERE
«help2man» generează o pagină de manual din ieșirile „--help” și „--version”.

-n, --name=ȘIR
    descrierea paragrafului NUME

-s, --section=SECȚIUNE
    numărul secțiunii pentru pagina manualului (1, 6, 8)

-m, --manual=TEXT
    numele manualului (Comenzi pentru utilizator, ...)

-S, --source=TEXT
    sursa programului (FSF, Debian, ...)

-L, --locale=ȘIR
    selectează localizarea (implicit „C”)

-i, --include=FIȘIER
    include material din „FIȘIER”

-I, --opt-include=FIȘIER
    include material din „FIȘIER” dacă acesta există

-o, --output=FIȘIER
    scrie ieșirea în „FIȘIER”

-p, --info-page=TEXT
    numele manualului Texinfo

-N, --no-info
    suprimă indicatorul către manualul Texinfo

-l, --libtool
    exclude „lt-” din numele programului

--help
    afișează acest ajutor, apoi iese

--version
    afișează numărul versiunii, apoi iese

EXECUTABIL ar trebui să accepte opțiunile „--help” și „--version” și să afișeze rezultatul la ieșirea standard, dar opțiuni alternative pot fi specificate folosind:

-h, --help-option=ȘIR
    șir pentru opțiunea de ajutor

-v, --version-option=ȘIR
    șir pentru opțiunea de versiune

--version-string=ȘIR
    șir pentru versiune

--no-discard-stderr
    include ieșirea de eroare standard atunci când analizează rezultatul opțiunii

INCLUDE FIȘIERE
Material suplimentar poate fi inclus în ieșirea generată cu opțiunile --include și --opt-include
 Formatul este simplu:
    [secțiune]
    text
    /model/
    text Blocurile de text *roff textual sunt inserate în ieșire fie la începutul [secțiunii] date (fără să facă distincție între majuscule și minuscule), fie după un paragraf ce corespunde cu un /model/. Modelele folosesc sintaxa expresiilor regulate Perl și pot fi urmate de modificatorii i, s sau m (consultați perlre(1)). Liniile dinaintea primei secțiuni sau model care încep cu „-” sunt procesate ca opțiuni. Orice altceva este ignorat în tăcere și poate fi folosit pentru comentarii, cuvinte cheie RCS și altele asemenea. Ordinea de ieșire a secțiunilor (pentru cele incluse) este:
    NUME
    REZUMAT
    DESCRIERE
    OPȚIUNI
    altele
    MEDIU
    FIȘIERE
    EXEMPLE
    AUTOR
    RAPORTAREA ERORILOR
    COPYRIGHT
    CONSULTAȚI DE ASEMENEA Orice secțiune [NUME] sau [REZUMAT] care apare în fișierul de includere va înlocui ceea ce ar fi fost produs automat (dar puteți să suprascrieți prima dintre aceste secțiuni cu opțiunea --name dacă doriți). Alte secțiuni sunt adăugate la ieșirea produsă automat pentru secțiunile standard prezentate mai sus, sau incluse în altele (mai sus) în ordinea în care au fost întâlnite în fișierul include. Plasarea textului în secțiune poate fi solicitată în mod explicit prin utilizarea sintaxei [<section], [=section] sau [>section] pentru a plasa textul suplimentar înainte de, în loc de sau, respectiv, după ieșirea implicită.

DISPONIBILITATE
Cea mai recentă versiune a acestei distribuții este disponibilă pe internet, la:
    ftp://ftp.gnu.org/gnu/help2man/

RAPORTAREA ERORILOR
Raportați erorile la <bug-help2man@gnu.org>.

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2020, 2021, 2022 Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Written by Brendan O'Dea <bod@debian.org>

CONSULTAȚI DE ASEMENEA
Documentația completă pentru help2man este menținută ca un manual Texinfo. Dacă programele «info» și «help2man» sunt instalate corect pe sistemul dumneavoastră, comanda

    «info help2man»

ar trebui să vă ofere acces la manualul complet.